This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 862219 - [abrt] libreoffice-core-3.5.6.2-4.fc17: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-4.fc17: Process /usr/lib64/libreoffice/progra...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:47ebb15e65fa95f7177054b3222...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 06:39 EDT by Eduardo Yáñez Parareda
Modified: 2012-12-19 03:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (8.97 KB, text/plain)
2012-10-02 06:39 EDT, Eduardo Yáñez Parareda
no flags Details
File: environ (3.26 KB, text/plain)
2012-10-02 06:39 EDT, Eduardo Yáñez Parareda
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-02 06:39 EDT, Eduardo Yáñez Parareda
no flags Details
File: backtrace (113.04 KB, text/plain)
2012-10-02 06:39 EDT, Eduardo Yáñez Parareda
no flags Details
File: cgroup (126 bytes, text/plain)
2012-10-02 06:40 EDT, Eduardo Yáñez Parareda
no flags Details
File: maps (89.94 KB, text/plain)
2012-10-02 06:40 EDT, Eduardo Yáñez Parareda
no flags Details
File: dso_list (20.09 KB, text/plain)
2012-10-02 06:40 EDT, Eduardo Yáñez Parareda
no flags Details
File: var_log_messages (339 bytes, text/plain)
2012-10-02 06:40 EDT, Eduardo Yáñez Parareda
no flags Details
File: open_fds (332 bytes, text/plain)
2012-10-02 06:40 EDT, Eduardo Yáñez Parareda
no flags Details

  None (edit)
Description Eduardo Yáñez Parareda 2012-10-02 06:39:45 EDT
Description of problem:
Change to Full Screen mode

Version-Release number of selected component:
libreoffice-core-3.5.6.2-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///tmp/FATCA%20Program%20Test%20Strategy%20V1.0.doc --splash-pipe=6
crash_function: GDIMetaFile::ImplPlayWithRenderer
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 GDIMetaFile::ImplPlayWithRenderer at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/gdi/gdimtf.cxx:486
: #1 GDIMetaFile::Play at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/gdi/gdimtf.cxx:639
: #2 GraphicManager::ImplDraw at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/graphic/grfmgr2.cxx:1853
: #3 GraphicDisplayCacheEntry::Draw at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/graphic/grfcache.cxx:543
: #4 GraphicCache::DrawDisplayCacheObj at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/graphic/grfcache.cxx:987
: #5 GraphicManager::DrawObj at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/graphic/grfmgr2.cxx:215
: #6 GraphicObject::Draw at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/graphic/grfmgr.cxx:575
: #7 GraphicObject::DrawWithPDFHandling at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/graphic/grfmgr.cxx:642
: #8 SwNoTxtFrm::PaintPicture at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/doc/notxtfrm.cxx:865
: #9 SwNoTxtFrm::Paint at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/doc/notxtfrm.cxx:321
Comment 1 Eduardo Yáñez Parareda 2012-10-02 06:39:49 EDT
Created attachment 620218 [details]
File: core_backtrace
Comment 2 Eduardo Yáñez Parareda 2012-10-02 06:39:51 EDT
Created attachment 620219 [details]
File: environ
Comment 3 Eduardo Yáñez Parareda 2012-10-02 06:39:53 EDT
Created attachment 620220 [details]
File: limits
Comment 4 Eduardo Yáñez Parareda 2012-10-02 06:39:56 EDT
Created attachment 620221 [details]
File: backtrace
Comment 5 Eduardo Yáñez Parareda 2012-10-02 06:40:01 EDT
Created attachment 620222 [details]
File: cgroup
Comment 6 Eduardo Yáñez Parareda 2012-10-02 06:40:07 EDT
Created attachment 620223 [details]
File: maps
Comment 7 Eduardo Yáñez Parareda 2012-10-02 06:40:10 EDT
Created attachment 620224 [details]
File: dso_list
Comment 8 Eduardo Yáñez Parareda 2012-10-02 06:40:12 EDT
Created attachment 620225 [details]
File: var_log_messages
Comment 9 Eduardo Yáñez Parareda 2012-10-02 06:40:14 EDT
Created attachment 620226 [details]
File: open_fds
Comment 10 Michael Stahl 2012-10-02 15:47:54 EDT
no idea how that could happen, would need a reproducer document to debug it.


0  0x0000003f693ab9d9 in GDIMetaFile::ImplPlayWithRenderer (this=this@entry=0x1834140, pOut=pOut@entry=0x1519808, rPos=..., rDestSize=...) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/gdi/gdimtf.cxx:486
486	        const uno::Reference<rendering::XBitmap>& xBitmap = xCanvas->getDevice ()->createCompatibleAlphaBitmap (vcl::unotools::integerSize2DFromSize( aSize));

since xCanvas is not null xCanvas->getDevice() probably is null,
which seems to indicate xCanvas has been disposed.

seems the xCanvas comes from either pOut parameter or top-level window.

Note You need to log in before you can comment on or make changes to this bug.